Introduction

KinoCode is proud to introduce MaxCrypt!! The only real encryption option for your computer. Automated computer encryption is finally here. You no longer have to worry about snooping eyes. Selected files, folders, and even drives are automatically encrypted when the computer is shutdown and decrypted when you log in.

Features:

  • Automated encryption and decryption
  • Graphical user interface for adding files, folders, and drives to user encryption list
  • AES (Advanced Encryption Standard) finalist 256-bit Twofish encryption algorithm
  • Easy right click “on the fly” decrypting of files
  • Many more features…


Installing MaxCrypt

Requirements for Installation:

  • Windows 95/98/ME/NT/2000/XP
  • Intel Pentium/AMD K6 or faster processor
  • 32 MB RAM
  • 3 MB Hard Disk space

To install MaxCrypt, download the newest version of the program from the KinoCode, Inc website and run the setup program.

If you agree with the terms of the “Software License Agreement”, click on the check box labeled “I agree with the above terms and conditions”.

The button labeled “Next” will now be enabled. Click on the button to start the installation.

Select the directory to install the program to and click on the button labeled “Start”.

Click the button labeled “OK” to finish the install.


Adding a User to MaxCrypt

User accounts give users a powerful tool for both allowing multiple users to protect sensitive files on one computer, and to also better organize encrypted data. A single user, for instance, can create multiple accounts for protecting different files. Using this method, a user can login with a specific login name and MaxCrypt will only decrypt the files for that are associated with that name. This way, a user can protect large volumes of data without having to decrypt and encrypt every protected file.

To add a new user to MaxCrypt, just login with a new login name and password and click on the button labeled “Login”.

MaxCrypt will display the following dialog box.

Warning: If you get this dialog box when you are trying to login to an account that has already been created, the login name or password you entered is incorrect.

This dialog is stating that MaxCrypt does not recognize the Login name/Password combination. If you click on the button labeled “Yes” MaxCrypt will display the following dialog box to confirm your password before it will create the account.

The new user account has now been created and the user is logged into MaxCrypt.


Accessing the Quick Menu

The MaxCrypt quick menu can be used to quickly access all of MaxCrypt’s features. Click on the MaxCrypt icon in the system tray to activate the quick menu.

(This is the MaxCrypt icon in the system tray)

This will activate the quick menu. From the this menu you can access all of MaxCrypt’s functionality.


Adding Files to a Users Encryption List

Adding files to a users encryption list is an effortless task. First, launch the MaxCrypt file manager. To do this, either click on the MaxCrypt icon in the start menu (when MaxCrypt is already running) or click on the button labeled “File Manager” in the Quick Menu.

This is the MaxCrypt File Manager.

To add files to the encryption list, select the file or folder you wish to add and click on the toolbar button labeled “Add”.

The encryption list is located in the bottom right window. It displays the files in the current users encryption list. More information is located in the status bar along the bottom of the window. The current user, the number of files and folders being protected, and the total size being protected. If more than one user is current logged in, you can use the toolbar button labeled “Change User” to switch between user encryption lists.


How to Encrypt Files

There are two methods to encrypt the files in the users encryption list. The first is to log out of MaxCrypt using the button labeled “Logout User” or “Exit” from the Quick Menu. The “Logout User” will only logout the user you select from the list. The “Exit” button will logout all users and then close MaxCrypt.


How to Decrypt Files

To decrypt a user’s files, just login. All files associated with a user will then be decrypted.


MaxCrypt Settings

To access the MaxCrypt Settings window, click on the button labeled “Settings” from the Quick Menu.

There are four different settings dialogs inside the Settings window. To access each dialog, click on one of the four buttons along the left side of the window.

This is the “Users” dialog. The “Allow new user accounts” option allows new users to be added to MaxCrypt. If this option is turned off, then no new users can be added. The “Allow simultaneous users” option allows more than one user to be logged in at one time. If the option is turned off, only one user can be logged in at a time. This option can not be set if the “Take action if password is incorrect” option is set in the “Security” dialog. This option will automatically be turned off if it is on.

This is the “Options” dialog. The “Protect MaxCrypt directory from encryption” option will protect MaxCrypt files from being encrypted. The “Make encrypted files hidden/system” option will set the hidden/system flag on the files properties after it has been encrypted. The “Attempt to encrypt read-only files” option will attempt to remove the read-only flag from files that have this property set before encrypting. The “Change encrypted file names to numbered file names” option changes the file name of the encrypted file to a file name with numbers ( ex. 1000000000001.maxc ). The original file name will be restored when the file is decrypted.

This is the “Security” dialog. The “Password protect settings” option will allow you to protect the settings window with a password. No one will be allowed to access MaxCrypt’s settings without the password. The “Empty recycle bin when files are encrypted” option is no longer available. The “Take action if password is incorrect” option will allow you to set a action to take place after a certain number of incorrect passwords are entered in the login box.

This is the “Misc” (Miscellaneous) dialog. The “Start MaxCrypt at startup” option will start MaxCrypt when MS Windows is loaded. The “Display login box when MaxCrypt starts” option will display the login box when MS Windows loads. The “Display MaxCrypt icon in system tray” option will load the MaxCrypt icon in the system tray when MaxCrypt loads. The “Show progress bars from Encrypt/Decrypt” option will show a dialog box with progress bars when MaxCrypt is encrypting or decrypting files.


The Emergency Rescue Program

The Emergency Rescue program is used to recover encrypted files that can not be decrypted by MaxCrypt. This situation can be caused when MS Windows is damaged, a hard disk is damaged, MaxCrypt is uninstalled without removing files from all the users encryptions lists, and by other means.

To run the Emergency Rescue program, click on the link labeled “Emergency Rescue” from the start menu or run open it from the MaxCrypt File Manager.

This is the opening screen for the Emergency Rescue program. The main options are:

  • Recover encrypted files by searching for user encryption lists
  • Recover files by scanning all local hard disks for encrypted files
  • Recover only files in a particular folder

Select the option you want to use and then click on the next button to begin the search.

The button labeled “Diagnostic” will be covered later on this page.

After the program has finished searching, this dialog box will report the number of encrypted files that were found.

Click on the button labeled “Enter User” and enter a login name and password. You can enter up to 10 different login names and passwords to decrypt all the files that were found.

The button labeled “Diagnostic” is used to diagnose problems with encrypted files or with MaxCrypt. This program can be used to:

  • Recover lost login names
  • Determine if a password is correct for a particular file
  • Determine if an encrypted file has been damaged
  • Diagnose problems with the MaxCrypt encryption engine

After clicking on the Diagnostic button, the following description will appear.

Choose a file to diagnose.

Enter the login name and password for the file and click on the button labeled “Start Diagnostic”.

Information about the file will be displayed. If the password is correct, but the login name is not, the program will display the correct login name for the file.


Uninstalling MaxCrypt

To uninstall MaxCrypt, click on the link labeled “Uninstall” in the MaxCrypt icon group in the start menu. You can also start the uninstall process from the “Add\Remove Programs” icon in the control panel.

After clicking on the button labeled “Yes”, the uninstall process will begin.

There will be files that were not in the MaxCrypt directory when the program was installed. These are the user encryption lists that were created by the user. If you wish to delete these, click on the button labeled “Delete All” before exiting the uninstall process.

MaxCrypt has now been removed from your system.


Trouble Shooting

This page will provide information to help solve several common problems that users encounter when using MaxCrypt. If you need help solving a problem or would like to report a bug, you can email us at info@kinocode.com.

I’m unable to login to MaxCrypt.

If MaxCrypt reports that either your login name or password is incorrect, then there are a couple things you can do. First, be sure that your caps lock is off. Both the password and login name are case sensitive.

You can test your login name and password by using the “Diagnostic” function of the Emergency Rescue program. You will be prompted to select an encrypted file and then to enter your login name and password. If the password is correct, but the login name is not, the program will give you the correct login name. If the password is incorrect, then it can not be recovered.

I uninstalled MaxCrypt and now I have encrypted files left on my computer.

All files should have been removed from user encryption lists before uninstalling. If you still have encrypted files on your hard disk, use the Emergency Rescue program to search your hard disks for files and then enter your login name and password to recover the files.

I have forgotten my login name and or password.

If you have forgotten your login name, then it can be recovered using the Emergency Rescue program. If you have lost your password, then there isn’t anything that can be done to recover it.

You can recover your login name by using the “Diagnostic” function of the Emergency Rescue program. You will be prompted to select an encrypted file and then to enter your login name and password. If you have no idea what the login name is, just enter anything. If the password is correct, but the login name is not, the program will give you the correct login name.

After installing MaxCrypt, the restart command in Windows shuts the computer down, but does not restart.

This is a known bug. MaxCrypt needs to intercept Windows shutdown to encrypt files, but Windows does not give any information on whether the user was trying to shutdown or restart. This bug will not be fixed until version 2.0 when intercepting Windows shutdown will no longer be necessary.


Reporting a Bug

To report a bug, send a email to info@kinocode.com with a detailed description of the problem. It’s important that you let us know how we can reproduce the problem that you are having.